com.independentsoft.exchange

## Enum ErrorCode

- java.lang.Object
- - java.lang.Enum<ErrorCode>
  - - com.independentsoft.exchange.ErrorCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ErrorCode>

      public enum ErrorCode
      extends java.lang.Enum<ErrorCode>

  There is an internal server error.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INTERNAL_SERVER_ERROR` There is an internal server error.
    `INVALID_DOMAIN` The requested domain is not valid.
    `INVALID_REQUEST` The request is invalid.
    `INVALID_SETTING` A specified setting is invalid.
    `INVALID_USER` The user that was passed in the request is invalid.
    `NO_ERROR` There was no error.
    `NOT_FEDERATED` The organization is not federated.
    `REDIRECT_ADDRESS` The caller must follow the e-mail address redirection that was returned by Autodiscover.
    `REDIRECT_URL` The caller must follow the URL redirection that was returned by Autodiscover.
    `SERVER_BUSY` The server is too busy to process the request.
    `SETTING_IS_NOT_AVAILABLE` A specified setting is not available.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ErrorCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ErrorCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_ERROR

          public static final ErrorCode NO_ERROR

      There was no error.

    - #### REDIRECT_ADDRESS

          public static final ErrorCode REDIRECT_ADDRESS

      The caller must follow the e-mail address redirection that was returned by Autodiscover.

    - #### REDIRECT_URL

          public static final ErrorCode REDIRECT_URL

      The caller must follow the URL redirection that was returned by Autodiscover.

    - #### INVALID_USER

          public static final ErrorCode INVALID_USER

      The user that was passed in the request is invalid.

    - #### INVALID_REQUEST

          public static final ErrorCode INVALID_REQUEST

      The request is invalid.

    - #### INVALID_SETTING

          public static final ErrorCode INVALID_SETTING

      A specified setting is invalid.

    - #### SETTING_IS_NOT_AVAILABLE

          public static final ErrorCode SETTING_IS_NOT_AVAILABLE

      A specified setting is not available.

    - #### SERVER_BUSY

          public static final ErrorCode SERVER_BUSY

      The server is too busy to process the request.

    - #### INVALID_DOMAIN

          public static final ErrorCode INVALID_DOMAIN

      The requested domain is not valid.

    - #### NOT_FEDERATED

          public static final ErrorCode NOT_FEDERATED

      The organization is not federated.

    - #### INTERNAL_SERVER_ERROR

          public static final ErrorCode INTERNAL_SERVER_ERROR

      There is an internal server error.

  - ### Method Detail

    - #### values

          public static ErrorCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ErrorCode c : ErrorCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ErrorCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null